form {
    width: 100%;
    max-width: 400px;
    text-align: center;
    border: solid 1px #c2c2c2;
    padding-bottom: 10px;
    margin: auto;
    background: #fafafa;
}

input[type=textfield] {
    width: 75%;
    padding: 16px 32px;
    font-size: 16px;
    margin: 8px 0;
    border: 1px solid silver;
    border-radius: 1px;
    text-align: left;
    color: #333;
    background: #ccc;
}

input[type=button], input[type=submit], input[type=reset] {
    background-color: #4CAF50;
    border: none;
    color: white;
    padding: 16px 32px;
    font-size: 16px;
    min-width: 21%;
    text-decoration: none;
    margin: 4px 2px;
    cursor: pointer;
}

input[type=button]:hover, input[type=submit]:hover, input[type=reset]:hover {
    background-color: #333;
}